#!/bin/bash

PROJECT_NAME="monitarr"

PROJECT_COMPANY_NAME="Scott E. Graves"
PROJECT_COPYRIGHT="Copyright <2018-2025> <scott.e.graves@protonmail.com>"
PROJECT_DESC="Utility to remove, block and search stalled downloads in lidarr, radarr and sonarr"
PROJECT_URL="https://git.fifthgrid.com/public/monitarr"

PROJECT_MAJOR_VERSION=1
PROJECT_MINOR_VERSION=1
PROJECT_REVISION_VERSION=0
PROJECT_RELEASE_NUM=0
PROJECT_RELEASE_ITER=release

PROJECT_APP_LIST=(${PROJECT_NAME})

PROJECT_PRIVATE_KEY=${DEVELOPER_PRIVATE_KEY}
PROJECT_PUBLIC_KEY=${DEVELOPER_PUBLIC_KEY}

PROJECT_STATIC_LINK=ON

PROJECT_MINGW64_COPY_DEPENDENCIES+=()
PROJECT_MSYS2_PACKAGE_LIST+=()

PROJECT_ENABLE_V2_ERRORS=ON
PROJECT_ENABLE_WIN32_LONG_PATH_NAMES=OFF

PROJECT_ENABLE_CPP_HTTPLIB=ON
PROJECT_ENABLE_CURL=ON
PROJECT_ENABLE_JSON=ON
PROJECT_ENABLE_OPENSSL=ON
PROJECT_ENABLE_ROCKSDB=ON
PROJECT_ENABLE_SPDLOG=ON
PROJECT_ENABLE_TESTING=ON

PROJECT_KEEP_BACKWARD_CPP=1

if [ "${PROJECT_ENABLE_TESTING}" == "ON" ]; then
  PROJECT_APP_LIST+=(${PROJECT_NAME}_test)
fi

if [ -f "./override.sh" ]; then
  . ./override.sh
fi
